<template>
	<view>
		<view class="tab">
			<u-tabs :list="tab" @click="click" :lineHeight="5"></u-tabs>
		</view>
		<view class="goodsList">
			<view class="item" v-for="(item, index) in list" :key="index" @click="detail(item)">
				<view class="title">{{ item.enterpriseName }}
					<view class="state" v-if="item.peopleConfirmStatus == 0 || item.cooperEntrustStatus == 0 || item.applyConfirmStatus == 0">
						<text class="icon">&#xe830;</text>
						<text>未确认</text>
					</view>
					<view class="state" v-if="item.finishStatus == 0">
						<text class="icon">&#xe830;</text>
						<text>进口中</text>
					</view>
					<view class="state" v-if="item.finishStatus == 1&&item.resaleStatus == 0">
						<text class="icon">&#xe830;</text>
						<text>已完成</text>
					</view>
					<view class="state" v-if="item.resaleStatus == 1">
						<text class="icon" style="color: #13ce66">&#xe830;</text>
						<text>已转售</text>
					</view>
				</view>

				<image src="../../../../static/news.jpg" mode="aspectFill" class="pic"></image>
				<view class="con">
					<view class="productName omit">{{ item.goodsNames }}</view>
					<view class="desc omit">
						<text>重量 {{ item.totalWeight }}</text>
						<text>{{ item.tradeAreaName }}</text>
					</view>
					<view class="price">¥ {{ item.totalPrice }}</view>
				</view>
				<view class="clear"></view>
				<view class="op">
					<view class="date">{{ item.createTime }}</view>
					<template v-if="item.finishStatus == 1 && item.resaleStatus == 0">
						<view class="an" style="color: #f44336"  @click.stop="resale(item)">订单转售</view>
					</template>
				</view>
			</view>
			<view class="loading" v-if="loadMore"><u-loadmore :status="loadMore ? 'loading' : 'nomore'" /></view>
			<u-empty v-if="!loadMore && list.length == 0"></u-empty>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			tab: [
				{
					name: '全部',
					peopleConfirmStatus: '',	//边民确认状态
					cooperEntrustStatus: '',	//互助委托申报确认状态
					applyConfirmStatus: '',		//进口申报确认状态
					finishStatus: '',			//订单完成状态
					resaleStatus: ''			//订单转售状态
				},
				{
					name: '进口中',
					finishStatus: 0,
					resaleStatus: 0
				},
				{
					name: '已完成',
					peopleConfirmStatus: 1,
					cooperEntrustStatus: 1,
					applyConfirmStatus: 1,
					finishStatus: 1,
					resaleStatus: 0
				},
				{
					name: '已转售',
					peopleConfirmStatus: 1,
					cooperEntrustStatus: 1,
					applyConfirmStatus: 1,
					finishStatus: 1,
					resaleStatus: 1
				}
			],
			param: {
				pageNo: 1,
				pageSize: 10
			},
			list: [],
			loadMore: true,
			id: '',
			flag: '',
		};
	},
	onLoad() {
		this.getData();
		uni.$on('face', res => {
			if(this.flag == 1) {
				this.http.request({
					url: '/level-one-server/app/TbOrder/confirmOrder',
					data: { orderId: this.id },
					success: resp => {
						uni.showToast({ title: '订单确认成功' });
						this.refresh();
					}
				});
			} else if(this.flag == 2) {
				this.http.request({
					url: '/level-one-server/app/TbOrder/applyOrder',
					data: { orderId: this.id },
					success: resp => {
						uni.showToast({ title: '进口申报确认成功' });
						this.refresh();
					}
				});
			}
		})
	},
	methods: {
		getData() {
			this.http.request({
				url: '/level-one-server/app/TbOrder/getList',
				loading: 'false',
				data: this.param,
				success: res => {
					this.loadMore = parseInt(res.data.pageCount) > this.param.pageNo;
					if (res.data.data) {
						this.list.push(...res.data.data);
					}
				}
			});
		},
		// 点击tab切换
		click(e) {
			console.log(e);
			this.param.peopleConfirmStatus = e.peopleConfirmStatus;
			this.param.cooperEntrustStatus = e.cooperEntrustStatus;
			this.param.applyConfirmStatus = e.applyConfirmStatus;
			this.param.finishStatus = e.finishStatus;
			this.param.resaleStatus = e.resaleStatus;
			this.refresh();
		},
		detail(item) {
			uni.navigateTo({url: '/pages/market/one/leader/detail?id=' + item.id});
		},
		resale(item) {
			uni.navigateTo({url: '/pages/market/two/leader/resale?item=' + JSON.stringify(item)});
		},
		// 刷新数据
		refresh() {
			this.loadMore = true;
			this.param.pageNo = 1;
			this.list = [];
			this.getData();
		}
	},
	//下拉刷新
	onPullDownRefresh() {
		setTimeout(() => {
			this.refresh();
			uni.stopPullDownRefresh();
		}, 1000);
	},
	//上拉加载
	onReachBottom() {
		if (this.loadMore) {
			this.param.pageNo++;
			this.getData();
		}
	}
};
</script>

<style lang="scss">
page {
	background-color: $pg;
}
.state{
	margin-right: -70px;
}
</style>
